#!/bin/bash

set -e

raise(){
 echo "raise exception"
 exit 1
}

NODE_ENV="production"
export NODE_ENV

echo "testing is mysql is up"
echo "waiting for mysql to startup"
cd /var/app/src/db
service mysql restart
(
  NODE_ENV=production sequelize db:create || raise
) || {
  echo "catch exception"
}
NODE_ENV=production sequelize db:migrate
echo "mysql started"

echo "bootstraping server"
cd /var/app/
yarn run production
